Summary:	Parallel SSH tools
Name:		pssh
Version:	2.3.1
Release:	%mkrel 10
Group:		Networking/Remote access
Source:		http://parallel-ssh.googlecode.com/files/%{name}-%{version}.tar.gz
License:	BSD
Url:		http://parallel-ssh.googlecode.com/
Requires:	openssh
Requires:	python-psshlib = %{version}-%{release}
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(python2)
BuildArch:	noarch

%description
This package provides various parallel tools based on ssh and scp.
Parallell version includes:
 o ssh : pssh
 o scp : pscp
 o nuke : pnuke
 o rsync : prsync
 o slurp : pslurp

%package -n python-psshlib
Summary:	Parallel SSH library for Python
Group:		Development/Python
Version:	%{version}

%description -n python-psshlib
The psshlib library enables custom applications to use PSSH.

%prep 
%setup -q

%build
%py2_build

%install
%py2_install

%{__install} -d 755 %{buildroot}%{_mandir}
%{__mv} %{buildroot}%{_prefix}/man/man1 %{buildroot}%{_mandir}/man1
%{__install} -m 644 man/man1/pssh.1 %{buildroot}%{_mandir}/man1/
%{__rm} -rf %{buildroot}%{_prefix}/man
%{__mv} %{buildroot}%{_bindir}/pscp %{buildroot}%{_bindir}/pscp.pssh
%{__mv} %{buildroot}%{_mandir}/man1/pscp.1 %{buildroot}%{_mandir}/man1/pscp.pssh.1 

%files
%doc ChangeLog AUTHORS COPYING 
%{_bindir}/p*
%{_mandir}/man1/p*.1*

%files -n python-psshlib
%{python2_sitelib}/psshlib
%{python2_sitelib}/*.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 2.3.1-10.mga6
+ Revision: 971964
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.3.1-9.mga6
+ Revision: 893869
- use new python macros to fix build failure

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-8.mga5
+ Revision: 746738
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.1-7.mga5
+ Revision: 727958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-6.mga5
+ Revision: 687818
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.3.1-4.mga4
+ Revision: 542822
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.1-3.mga4
+ Revision: 498042
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 378284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 2.3.1-1.mga3
+ Revision: 309323
- remove useless patch
- add all man pages
- update description
- new version 2.3.1

* Tue Jan 24 2012 lebedov <lebedov> 2.3-1.mga2
+ Revision: 200642
- Update to 2.3.

* Tue Sep 27 2011 lebedov <lebedov> 2.2.2-1.mga2
+ Revision: 149556
- imported package pssh

